org.eclipse.rdf4j.repository

## Class RDFStarSupportTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.RDFStarSupportTest

-     public abstract class RDFStarSupportTest
      extends Object

  Test cases for RDF-star support in the Repository.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.junit.rules.Timeout` | `to` Timeout all individual tests after 10 minutes.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFStarSupportTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Repository` | `createRepository()`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testAddRDFStarContext()`
    `void` | `testAddRDFStarObject()`
    `void` | `testAddRDFStarSubject()`
    `void` | `testRdfStarAddAndRetrieve()`
    `void` | `testRdfStarAddAndRetrieveSparql()`
    `void` | `testRdfStarAddAndRetrieveSparqlSeparateTransaction()`
    `void` | `testSparqlStar()`
    `void` | `testSparqlStarUpdate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### to

          public org.junit.rules.Timeout to

      Timeout all individual tests after 10 minutes.

  - ### Constructor Detail

    - #### RDFStarSupportTest

          public RDFStarSupportTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testAddRDFStarSubject

          public void testAddRDFStarSubject()
                                     throws Exception

      Throws:
        `Exception`

    - #### testAddRDFStarObject

          public void testAddRDFStarObject()
                                    throws Exception

      Throws:
        `Exception`

    - #### testAddRDFStarContext

          public void testAddRDFStarContext()
                                     throws Exception

      Throws:
        `Exception`

    - #### testSparqlStar

          public void testSparqlStar()

    - #### testSparqlStarUpdate

          public void testSparqlStarUpdate()

    - #### testRdfStarAddAndRetrieveSparql

          public void testRdfStarAddAndRetrieveSparql()
                                               throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testRdfStarAddAndRetrieveSparqlSeparateTransaction

          public void testRdfStarAddAndRetrieveSparqlSeparateTransaction()
                                                                  throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testRdfStarAddAndRetrieve

          public void testRdfStarAddAndRetrieve()
                                         throws InterruptedException

      Throws:
        `InterruptedException`

    - #### createRepository

          protected abstract Repository createRepository()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.